<?php

// <----- Variables ----->

// <----- Includes ----->
include(get_theme_file_path('/includes/front-end/theme_starter_setup.php'));
include(get_theme_file_path('/includes/front-end/styles_and_scripts.php'));
include(get_theme_file_path('/includes/back-end/editor_styles_and_scripts.php'));
include(get_theme_file_path('/includes/front-end/technical_seo.php'));
include(get_theme_file_path('/includes/front-end/registration_form_message.php'));
include(get_theme_file_path('/includes/front-end/custom_login_screen.php'));
// include(get_theme_file_path('/'));

// <----- Hooks ----->

// Theme Starter Features
add_action('after_setup_theme', 'themeStarter_setup');

// Theme Starter Init
add_action('init', 'themeStarter_init');

// Enqueue front-end styles and script
add_action('wp_enqueue_scripts', 'themeStarter_enqueue');

// Enqueue back-end/editor styles and script
add_action('after_setup_theme', 'themeStarter_editor_enqueue');

// Add Facebook Open Graph and Twitter Card to Head
add_action('wp_head', 'open_graph_twitter_card', 2);

// Change Registration Message
add_action('login_message', 'change_reg_message');

// Customize Login Screen Title
add_filter('login_headertitle', 'ourLoginTitle');

// Change Login Page header url
add_filter('login_headerurl', 'ourHeaderUrl');

// Enqueue out stylesheet for login screen
add_action('login_enqueue_scripts', 'ourLoginCSS');